curl --request PATCH \
--url https://{tenant_name}.{region}.techwolf.ai/{entity_type}/{entity_type_external_id}/custom_properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"property_name": "type",
"property_value": "online"
},
{
"property_name": "years_of_experience",
"property_value": 3
},
{
"property_name": "online",
"property_value": true
},
{
"property_name": "tools",
"property_value": [
"JIRA",
"Git"
]
},
{
"property_name": "creation_date",
"property_value": "2023-04-25T17:14:30.40"
}
]
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/{entity_type}/{entity_type_external_id}/custom_properties"
payload = [
{
"property_name": "type",
"property_value": "online"
},
{
"property_name": "years_of_experience",
"property_value": 3
},
{
"property_name": "online",
"property_value": True
},
{
"property_name": "tools",
"property_value": ["JIRA", "Git"]
},
{
"property_name": "creation_date",
"property_value": "2023-04-25T17:14:30.40"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{property_name: 'type', property_value: 'online'},
{property_name: 'years_of_experience', property_value: 3},
{property_name: 'online', property_value: true},
{property_name: 'tools', property_value: ['JIRA', 'Git']},
{property_name: 'creation_date', property_value: '2023-04-25T17:14:30.40'}
])
};
fetch('https://{tenant_name}.{region}.techwolf.ai/{entity_type}/{entity_type_external_id}/custom_properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update Custom Properties of an entity
In addition to the default fields available for each entity, a set of Custom Properties can be added. Each entity is allowed to have a maximum of 100 properties, with properties being numbers or strings (maximum length 1000 characters).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Custom Properties are supported on the following entity types: taxonomy/domains, taxonomy/subdomains, taxonomy/skill_clusters, taxonomy/skills, employees, organisational_units, job_architecture/job_families, job_architecture/jobs, vacancies, courses, skill_clusters, and companies.
Unique external ID linked to this entity, consisting of alphanumeric characters, hyphens and underscores. Note that the endpoint taxonomy/skills uses skill_id.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Body
[
{
"property_name": "type",
"property_value": "online"
},
{
"property_name": "years_of_experience",
"property_value": 3
},
{
"property_name": "online",
"property_value": true
},
{
"property_name": "tools",
"property_value": ["JIRA", "Git"]
},
{
"property_name": "creation_date",
"property_value": "2023-04-25T17:14:30.40"
}
]
Response
No Content
Was this page helpful?